REPQUOTA(8) | System Manager's Manual | REPQUOTA(8)

# NAME

repquota — summarize quotas for a file system

# SYNOPSIS

repquota | [-Dghuv] file-system ...

repquota | [-Dghuv] -a

repquota | -x [-Dgu] file-system

quotadump | [-Dgu] file-system

# DESCRIPTION

repquota prints a summary of the disk usage and quotas for the specified file systems.

Available options:

-a
  Print the quotas of all the mounted file systems.
-D
  Debug: print plist sent to and received from kernel.
-g
  Print only group quotas (the default is to print both group and user quotas if they exist).
-h
  Numbers are displayed in a human readable format.
-u
  Print only user quotas (the default is to print both group and user quotas if they exist).
-v
  Print a header line before printing each file system quotas. Print all exiting quotas, including those whose current usage is 0.
-x
  Export file system quota data in a tabular dump format suitable for quotarestore(8). A single file system should be specified.

If invoked as quotadump the behavior is the same as repquota -x.

For each user or group, the current number files and amount of space (in kilobytes, unless the -h flag is used) is printed, along with any quotas created with edquota(8).

Only the super-user may use this command.

# SEE ALSO

quota(1), libquota(3), fstab(5), edquota(8), quotacheck(8), quotaon(8), quotarestore(8)

# HISTORY

The repquota command appeared in 4.2BSD.

February 13, 2012 | NetBSD 6.0